/* -------------------------------------------------------------------
 *
 * This module has been developed by the Automatic Control Group
 * of the University of Salerno, Italy.
 *
 * Title:   getInertiaCurrents.cpp
 * Author:  Antonio Annunziata, Vincenzo Petrone
 * Org.:    UNISA
 * Date:    Jul 7, 2023
 *
 * Refer to the header file for a description of this module.
 *
 * -------------------------------------------------------------------
 */

//
// Academic License - for use in teaching, academic research, and meeting
// course requirements at degree granting institutions only.  Not for
// government, commercial, or other organizational use.
// File: getInertiaCurrents.cpp
//
// MATLAB Coder version            : 5.6
// C/C++ source code generated on  : 14-Jul-2023 11:40:19
//

// Include Files
#include <cmath>
#include "ur10_inverse_dynamics_solver/getInertiaCurrents.hpp"

// Function Definitions
//
// getInertiaCurrents
//     B = getInertiaCurrents(IN1)
//
// Arguments    : const double in1[6]
//                double B[36]
// Return Type  : void
//
namespace ur10_inverse_dynamics_solver
{
void getInertiaCurrents(const double in1[6], double B[36])
{
  double ab_ct_tmp;
  double b_ct_idx_157_tmp;
  double b_ct_idx_192_tmp;
  double b_ct_tmp;
  double b_t179_tmp;
  double b_t255_tmp;
  double b_t302_tmp;
  double b_t376_tmp;
  double bb_ct_tmp;
  double c_ct_tmp;
  double c_t302_tmp;
  double cb_ct_tmp;
  double ct_idx_141;
  double ct_idx_143;
  double ct_idx_147;
  double ct_idx_148;
  double ct_idx_154;
  double ct_idx_156_tmp;
  double ct_idx_157_tmp;
  double ct_idx_159;
  double ct_idx_160;
  double ct_idx_161;
  double ct_idx_164;
  double ct_idx_166;
  double ct_idx_167;
  double ct_idx_171;
  double ct_idx_174;
  double ct_idx_175_tmp;
  double ct_idx_176;
  double ct_idx_177;
  double ct_idx_178_tmp;
  double ct_idx_179_tmp;
  double ct_idx_180;
  double ct_idx_181;
  double ct_idx_182;
  double ct_idx_185_tmp;
  double ct_idx_186;
  double ct_idx_188;
  double ct_idx_190;
  double ct_idx_191;
  double ct_idx_192_tmp;
  double ct_idx_193;
  double ct_idx_197;
  double ct_idx_198;
  double ct_idx_198_tmp;
  double ct_idx_201;
  double ct_idx_204;
  double ct_idx_208;
  double ct_idx_208_tmp;
  double ct_idx_210_tmp;
  double ct_idx_213_tmp;
  double ct_idx_216;
  double ct_idx_217;
  double ct_idx_222;
  double ct_idx_223_tmp;
  double ct_idx_227;
  double ct_idx_229;
  double ct_idx_230;
  double ct_idx_232;
  double ct_idx_234;
  double ct_idx_235;
  double ct_idx_236;
  double ct_idx_237;
  double ct_idx_238;
  double ct_idx_239;
  double ct_idx_243;
  double ct_idx_244;
  double ct_idx_245_tmp;
  double ct_idx_246_tmp;
  double ct_idx_249;
  double ct_idx_250;
  double ct_idx_251;
  double ct_idx_254;
  double ct_idx_259;
  double ct_idx_262;
  double ct_idx_263;
  double ct_idx_268;
  double ct_idx_269;
  double ct_idx_270;
  double ct_idx_274;
  double ct_idx_276;
  double ct_idx_278;
  double ct_idx_279;
  double ct_idx_282;
  double ct_idx_291;
  double ct_idx_292;
  double ct_idx_294;
  double ct_idx_295;
  double ct_idx_296;
  double ct_idx_298;
  double ct_idx_299;
  double ct_idx_300;
  double ct_idx_302;
  double ct_idx_303;
  double ct_idx_304;
  double ct_idx_305;
  double ct_idx_306;
  double ct_idx_307;
  double ct_idx_308;
  double ct_idx_309;
  double ct_tmp;
  double d;
  double d1;
  double d_ct_tmp;
  double db_ct_tmp;
  double e_ct_tmp;
  double eb_ct_tmp;
  double f_ct_tmp;
  double fb_ct_tmp;
  double g_ct_tmp;
  double gb_ct_tmp;
  double h_ct_tmp;
  double hb_ct_tmp;
  double i_ct_tmp;
  double ib_ct_tmp;
  double j_ct_tmp;
  double k_ct_tmp;
  double l_ct_tmp;
  double m_ct_tmp;
  double n_ct_tmp;
  double o_ct_tmp;
  double p_ct_tmp;
  double q_ct_tmp;
  double r_ct_tmp;
  double s_ct_tmp;
  double t10;
  double t101;
  double t104;
  double t105;
  double t106;
  double t107;
  double t108;
  double t109;
  double t11;
  double t111;
  double t112;
  double t113;
  double t114;
  double t115;
  double t116;
  double t117;
  double t118;
  double t12;
  double t120;
  double t123;
  double t124;
  double t126;
  double t13;
  double t131;
  double t132;
  double t133;
  double t134;
  double t135;
  double t136;
  double t137;
  double t138;
  double t139;
  double t14;
  double t140;
  double t141;
  double t142;
  double t143;
  double t144;
  double t145;
  double t146;
  double t147;
  double t149;
  double t15;
  double t151;
  double t155;
  double t16;
  double t163;
  double t166;
  double t17;
  double t179_tmp;
  double t18;
  double t186;
  double t189;
  double t189_tmp;
  double t19;
  double t197;
  double t199;
  double t199_tmp;
  double t2;
  double t20;
  double t21;
  double t215;
  double t22;
  double t225;
  double t23;
  double t235;
  double t236;
  double t236_tmp;
  double t24;
  double t243;
  double t245;
  double t246;
  double t25;
  double t250;
  double t252;
  double t254;
  double t255;
  double t255_tmp;
  double t26;
  double t262;
  double t262_tmp;
  double t27;
  double t270;
  double t272;
  double t273;
  double t275;
  double t28;
  double t280;
  double t289;
  double t29;
  double t3;
  double t30;
  double t302_tmp;
  double t308;
  double t31;
  double t314;
  double t316;
  double t32;
  double t326;
  double t327;
  double t331;
  double t332;
  double t333;
  double t334;
  double t334_tmp;
  double t335;
  double t335_tmp;
  double t34;
  double t341;
  double t342;
  double t343;
  double t344;
  double t345;
  double t349;
  double t349_tmp;
  double t36;
  double t361;
  double t362;
  double t363;
  double t37;
  double t376;
  double t376_tmp;
  double t382;
  double t383;
  double t4;
  double t43;
  double t44;
  double t45;
  double t46;
  double t47;
  double t48;
  double t49;
  double t5;
  double t50;
  double t51;
  double t52;
  double t53;
  double t54;
  double t56;
  double t57;
  double t58;
  double t6;
  double t60;
  double t61;
  double t62;
  double t66;
  double t67;
  double t68;
  double t69;
  double t7;
  double t70;
  double t71;
  double t72;
  double t73;
  double t74;
  double t75;
  double t79;
  double t8;
  double t80;
  double t81;
  double t82;
  double t83;
  double t84;
  double t85;
  double t88;
  double t89;
  double t9;
  double t90;
  double t91;
  double t92;
  double t93;
  double t94;
  double t95;
  double t96;
  double t97;
  double t98;
  double t99;
  double t_ct_tmp;
  double u_ct_tmp;
  double v_ct_tmp;
  double w_ct_tmp;
  double x_ct_tmp;
  double y_ct_tmp;
  //     This function was generated by the Symbolic Math Toolbox version 9.3.
  //     14-Jul-2023 11:23:28
  t2 = std::cos(in1[1]);
  t3 = std::cos(in1[2]);
  t4 = std::cos(in1[3]);
  t5 = std::cos(in1[4]);
  t6 = std::cos(in1[5]);
  t7 = std::sin(in1[1]);
  t8 = std::sin(in1[2]);
  t9 = std::sin(in1[3]);
  t10 = std::sin(in1[4]);
  t11 = std::sin(in1[5]);
  t12 = in1[1] + in1[2];
  t13 = in1[1] + in1[4];
  t14 = in1[1] * 2.0;
  t15 = in1[2] * 2.0;
  t16 = in1[3] * 2.0;
  t17 = in1[4] * 2.0;
  t18 = in1[5] * 2.0;
  t19 = std::cos(t14);
  t20 = std::cos(t15);
  t21 = std::cos(t16);
  t22 = std::cos(t17);
  t23 = std::cos(t18);
  t24 = t5 * t5;
  t25 = t6 * t6;
  t26 = std::sin(t14);
  t27 = std::sin(t15);
  t28 = std::sin(t16);
  t29 = std::sin(t17);
  t30 = std::sin(t18);
  t31 = std::cos(t12);
  t32 = std::cos(t13);
  t16 = in1[3] + t12;
  t34 = in1[4] + t12;
  t14 = in1[5] + t13;
  t36 = std::sin(t12);
  t37 = std::sin(t13);
  t15 = in1[1] - in1[4];
  t62 = t12 - in1[4];
  t12 = t13 - in1[5];
  t13 = (in1[4] + in1[5]) - in1[1];
  t186 = t11 * 0.00040886121775334211;
  t189_tmp = t4 * t10;
  t189 = t189_tmp * 0.00330795859173366;
  t199_tmp = t8 * t9;
  t199 = t199_tmp * 0.00036505252473182878;
  t235 = t6 * 0.0001128199800959624;
  t236_tmp = t4 * t5;
  t236 = t236_tmp * 0.00079158705041927288;
  t255_tmp = t3 * t4;
  b_t255_tmp = t255_tmp * t10;
  t255 = b_t255_tmp * 0.0017729060786872059;
  t262_tmp = t236_tmp * t6;
  t262 = t262_tmp * 0.0020199228355039789;
  t302_tmp = t5 * t6;
  b_t302_tmp = t302_tmp * t10;
  c_t302_tmp = b_t302_tmp * 0.0057864703812534283;
  t334_tmp = t255_tmp * t5;
  t334 = t334_tmp * 0.00042425243683685138;
  t335_tmp = t334_tmp * t6;
  t335 = t335_tmp * 0.0010825811068170821;
  t349_tmp = t5 * t10 * t11;
  t349 = t349_tmp * 0.00818470797545824;
  t376_tmp = t5 * t8 * t9;
  b_t376_tmp = t376_tmp * t11;
  t376 = b_t376_tmp * 0.0002987242947484708;
  t43 = std::cos(t16);
  t44 = std::cos(t34);
  t45 = std::cos(t14);
  t46 = in1[4] + t16;
  t47 = in1[5] + t16;
  t48 = in1[5] + t34;
  t49 = std::sin(t16);
  t50 = std::sin(t34);
  t51 = std::sin(t14);
  t60 = std::cos(t15);
  t14 = in1[5] + t15;
  t66 = std::sin(t15);
  t67 = t17 + t16;
  t68 = t18 + t16;
  t70 = std::cos(t62);
  t71 = std::cos(t12);
  t73 = std::cos(t13);
  t74 = t16 - in1[4];
  t75 = t16 - t17;
  t15 = t16 - in1[5];
  t16 -= t18;
  t34 -= in1[5];
  t79 = in1[5] + t62;
  t80 = std::sin(t62);
  t81 = std::sin(t12);
  t83 = std::sin(t13);
  t12 = -in1[5] + t62;
  t149 = t25 * 0.0006451797231195966;
  t151 = t25 * 0.0033660472961768591;
  t155 = t29 * 0.004534483331054503;
  t163 = t30 * 0.00073449743288493262;
  t166 = t25 * 0.0054473870738644976;
  t179_tmp = t6 * t11 * t24;
  b_t179_tmp = t179_tmp * 0.001468994865769865;
  t197 = t24 * t25 * -0.0033660472961768591;
  t215 = t24 * 0.001917931115671085;
  t270 = t37 * 0.0011471384610227131;
  t275 = t32 * 0.0024071831784136309;
  t52 = std::cos(t46);
  t53 = std::cos(t47);
  t54 = std::cos(t48);
  t13 = in1[5] + t46;
  t56 = std::sin(t46);
  t57 = std::sin(t47);
  t58 = std::sin(t48);
  t72 = std::cos(t14);
  t82 = std::sin(t14);
  t84 = std::cos(t67);
  t85 = std::cos(t68);
  t14 = t18 + t46;
  t62 = t17 + t47;
  t88 = std::sin(t67);
  t89 = std::sin(t68);
  t94 = std::cos(t74);
  t95 = std::cos(t75);
  t96 = std::cos(t15);
  t97 = std::cos(t16);
  t98 = std::cos(t34);
  t99 = std::cos(t79);
  t48 = -in1[5] + t46;
  t101 = -in1[4] + t47;
  t46 += -t18;
  t47 += -t17;
  t104 = std::sin(t74);
  t105 = std::sin(t75);
  t106 = std::sin(t15);
  t107 = std::sin(t16);
  t108 = std::sin(t34);
  t109 = std::sin(t79);
  t15 = t18 + t67;
  t16 = -in1[4] + t68;
  t120 = -in1[5] + t67;
  t34 = -t17 + t68;
  t79 = -t18 + t67;
  t126 = std::cos(t12);
  t68 = -in1[5] + t74;
  t67 = -t18 + t74;
  t17 = -in1[5] + t75;
  t74 = -t18 + t75;
  t131 = std::sin(t12);
  t243 = t44 * 0.002245709000785428;
  t246 = t50 * 0.001070188255786817;
  t252 = t45 * 0.0016407084290679171;
  t280 = t51 * 0.0014001652098252319;
  t308 = t70 * 0.002245709000785428;
  t314 = t80 * 0.001070188255786817;
  t326 = t66 * 0.0011471384610227131;
  t333 = t60 * 0.0024071831784136309;
  t341 = t71 * 0.0016407084290679171;
  t343 = t73 * 0.0016407084290679171;
  t361 = t81 * 0.0014001652098252319;
  t363 = t83 * 0.0014001652098252319;
  t61 = std::sin(t13);
  t69 = std::cos(t13);
  t90 = std::cos(t14);
  t91 = std::cos(t62);
  t92 = std::sin(t14);
  t93 = std::sin(t62);
  t111 = std::cos(t48);
  t112 = std::cos(t101);
  t113 = std::cos(t46);
  t114 = std::cos(t47);
  t115 = std::sin(t48);
  t116 = std::sin(t101);
  t117 = std::sin(t46);
  t118 = std::sin(t47);
  t123 = std::cos(t15);
  t124 = std::sin(t15);
  t132 = std::cos(t16);
  t133 = std::cos(t120);
  t134 = std::cos(t34);
  t135 = std::cos(t79);
  t136 = std::sin(t16);
  t137 = std::sin(t120);
  t138 = std::sin(t34);
  t139 = std::sin(t79);
  t140 = std::cos(t68);
  t141 = std::cos(t67);
  t142 = std::cos(t17);
  t143 = std::cos(t74);
  t144 = std::sin(t68);
  t145 = std::sin(t67);
  t146 = std::sin(t17);
  t147 = std::sin(t74);
  t254 = t58 * 0.001306241935590179;
  t273 = t54 * 0.001530649482708048;
  t331 = t98 * 0.001530649482708048;
  t332 = t99 * 0.001530649482708048;
  t342 = t72 * 0.0016407084290679171;
  t344 = t108 * 0.001306241935590179;
  t345 = t109 * 0.001306241935590179;
  t362 = t82 * 0.0014001652098252319;
  t382 = t126 * 0.001530649482708048;
  t383 = t131 * 0.001306241935590179;
  t225 = t92 * 0.00092536219575898606;
  t245 = t90 * 0.0011395919218959709;
  t250 = t117 * 0.00092536219575898606;
  t272 = t113 * 0.0011395919218959709;
  t289 = t136 * 0.00092536219575898606;
  t316 = t145 * 0.00092536219575898606;
  t327 = t141 * 0.0011395919218959709;
  ct_idx_141 = t36 * 0.032407697913222767;
  ct_idx_143 = t29 * 0.00197700599669899;
  ct_idx_147 = -(t30 * 0.0004090806016031226);
  ct_idx_148 = -(t31 * 0.0015106195401031451);
  ct_idx_154 = -(t9 * 0.028946446695428611);
  ct_idx_156_tmp = t10 * t25;
  ct_idx_157_tmp = t6 * t10;
  b_ct_idx_157_tmp = ct_idx_157_tmp * t11;
  ct_idx_159 = t24 * t149;
  ct_idx_160 = t179_tmp * 0.00081816120320624521;
  ct_idx_161 = t179_tmp * 0.001414234239585549;
  ct_idx_164 = t6 * 0.000100787784430004;
  ct_idx_166 = -(t24 * 0.0047604605412509922);
  ct_idx_167 = t43 * 0.0023594978077204169;
  ct_idx_171 = -(t4 * 0.0004682311877085483);
  ct_idx_174 = t11 * 0.00013141163080916381;
  ct_idx_175_tmp = t5 * t11;
  ct_idx_176 = -(t88 * 0.003837110775246145);
  ct_idx_177 = t11 * 7.91832273806773E-5;
  ct_idx_178_tmp = t6 * t9;
  ct_idx_179_tmp = t4 * t11;
  ct_idx_180 = t236_tmp * 0.001393222995908581;
  ct_idx_181 = t24 * t166;
  ct_idx_182 = t189_tmp * 0.0043974504571420549;
  ct_idx_185_tmp = t5 * t9;
  ct_idx_186 = -(t6 * 0.00018656004875664269);
  ct_idx_188 = -(t105 * 0.003837110775246145);
  ct_idx_190 = t95 * 0.000323031894834975;
  ct_idx_191 = -(t84 * 0.000323031894834975);
  ct_idx_192_tmp = t9 * t10;
  b_ct_idx_192_tmp = ct_idx_192_tmp * t11;
  ct_idx_193 = t61 * 0.00140730688459355;
  ct_idx_197 = t49 * 0.0048583137034080778;
  ct_idx_198_tmp = t10 * t11;
  ct_idx_198 = -(ct_idx_198_tmp * 1.8721490495500779E-5);
  ct_idx_201 = -(t24 * 0.0033707135561015619);
  ct_idx_204 = -(ct_idx_198_tmp * 0.0005871194038719001);
  ct_idx_208_tmp = t9 * t11;
  ct_idx_208 = -(ct_idx_208_tmp * 0.00039119388738803059);
  ct_idx_210_tmp = t236_tmp * t11;
  ct_idx_213_tmp = t302_tmp * t9;
  ct_idx_216 = t57 * 0.00087779373763418168;
  ct_idx_217 = -(ct_idx_178_tmp * 0.00049792824183396965);
  ct_idx_222 = -(t302_tmp * 0.001214004802476556);
  ct_idx_223_tmp = t4 * t6;
  ct_idx_227 = t123 * 0.00056979596094798557;
  ct_idx_229 = -(t349_tmp * 0.0011046715484625349);
  ct_idx_230 = t53 * 0.00074910095606448663;
  ct_idx_232 = -(ct_idx_157_tmp * 7.3515756205200784E-5);
  ct_idx_234 = t138 * 0.000462681097879493;
  ct_idx_235 = t139 * 0.000462681097879493;
  ct_idx_236 = -(t124 * 0.000462681097879493);
  ct_idx_237 = -(ct_idx_175_tmp * 1.637935566817624E-5);
  ct_idx_238 = t56 * 6.7726738198090365E-5;
  ct_idx_239 = -(t10 * 0.0005774450031913994);
  ct_idx_243 = -(t349_tmp * 0.00028930051141360779);
  ct_idx_244 = t262_tmp * 0.00039119388738803059;
  ct_idx_245_tmp = ct_idx_185_tmp * t11;
  ct_idx_246_tmp = ct_idx_178_tmp * t10;
  ct_idx_249 = t52 * 0.001035834994206808;
  ct_idx_250 = b_t302_tmp * 0.00086346241071307472;
  ct_idx_251 = t135 * 0.00056979596094798557;
  ct_idx_254 = -(ct_idx_210_tmp * 0.00049792824183396965);
  ct_idx_259 = -(t69 * 0.0001848777819748834);
  ct_idx_262 = -(t132 * 0.0011395919218959709);
  ct_idx_263 = -(t134 * 0.00056979596094798557);
  ct_idx_268 = -(t115 * 0.001149163759798141);
  ct_idx_269 = -(t147 * 0.000462681097879493);
  ct_idx_270 = -(t111 * 0.00040517470743130961);
  ct_idx_274 = -(ct_idx_157_tmp * 0.001292089648710781);
  ct_idx_276 = t93 * 0.0012782353221958451;
  ct_idx_278 = t116 * 0.0020269574974323221;
  ct_idx_279 = -(t143 * 0.00056979596094798557);
  ct_idx_282 = t94 * 0.00164956436832668;
  ct_idx_291 = t96 * 0.00074910095606448663;
  ct_idx_292 = t118 * 0.0012782353221958451;
  ct_idx_294 = -(t106 * 0.00087779373763418168);
  ct_idx_295 = -(b_t302_tmp * 0.0028212868431596529);
  ct_idx_296 = -(t91 * 0.00029502624470309648);
  ct_idx_298 = t112 * 0.000343926248633177;
  ct_idx_299 = -(t114 * 0.00029502624470309648);
  ct_idx_300 = t137 * 0.0012782353221958451;
  ct_idx_302 = -(t104 * 0.0013555913471159759);
  ct_idx_303 = t146 * 0.0012782353221958451;
  ct_idx_304 = t133 * 0.00029502624470309648;
  ct_idx_305 = -(t126 * 0.001530649482708048);
  ct_idx_306 = -(t131 * 0.001306241935590179);
  ct_idx_307 = t142 * 0.00029502624470309648;
  ct_idx_308 = -(t144 * 0.000529513146959368);
  ct_idx_309 = -(t140 * 0.00093397873803936987);
  d = t3 * t9;
  d1 = t4 * t8;
  ct_tmp = t4 * t19;
  b_ct_tmp = t9 * t19;
  c_ct_tmp = t19 * t20;
  d_ct_tmp = t19 * t27;
  e_ct_tmp = t20 * t26;
  f_ct_tmp = t26 * t27;
  g_ct_tmp = t3 * t6 * t9;
  h_ct_tmp = ct_idx_223_tmp * t8;
  i_ct_tmp = d * t11;
  j_ct_tmp = d1 * t11;
  k_ct_tmp = t199_tmp * t10;
  l_ct_tmp = t5 * t19;
  m_ct_tmp = t10 * t19;
  n_ct_tmp = t6 * t19;
  o_ct_tmp = c_ct_tmp * t21;
  p_ct_tmp = t11 * t19;
  q_ct_tmp = d_ct_tmp * t28;
  r_ct_tmp = e_ct_tmp * t28;
  s_ct_tmp = t21 * t26 * t27;
  t_ct_tmp = t334_tmp * t11;
  u_ct_tmp = t302_tmp * t8 * t9;
  v_ct_tmp = t3 * t5;
  w_ct_tmp = v_ct_tmp * t9;
  x_ct_tmp = t236_tmp * t8;
  t14 = t302_tmp * t19;
  t15 = ct_idx_175_tmp * t19;
  t16 = ct_idx_157_tmp * t19;
  t12 = ct_idx_198_tmp * t19;
  t13 = l_ct_tmp * t20;
  l_ct_tmp *= t21;
  t34 = t5 * t20 * t21;
  t62 = n_ct_tmp * t20 * t21;
  t48 = p_ct_tmp * t20 * t21;
  t46 = t13 * t28;
  t47 = l_ct_tmp * t27;
  t79 = t34 * t26;
  t68 = o_ct_tmp * t22;
  n_ct_tmp = n_ct_tmp * t27 * t28;
  t67 = t6 * t20 * t26 * t28;
  t74 = t6 * t21 * t26 * t27;
  p_ct_tmp = p_ct_tmp * t27 * t28;
  t75 = t11 * t20 * t26 * t28;
  t17 = t11 * t21 * t26 * t27;
  t18 = t5 * t26 * t27 * t28;
  t101 = t19 * t22;
  t120 = t20 * t22;
  t179_tmp = t21 * t22;
  t349_tmp = t101 * t27 * t28;
  b_t302_tmp = t120 * t26 * t28;
  y_ct_tmp = t179_tmp * t26 * t27;
  ab_ct_tmp = d * t10;
  bb_ct_tmp = d1 * t10;
  cb_ct_tmp = t255_tmp * t6;
  db_ct_tmp = t255_tmp * t11;
  eb_ct_tmp = t6 * t8 * t9;
  fb_ct_tmp = t199_tmp * t11;
  v_ct_tmp = v_ct_tmp * t6 * t9;
  gb_ct_tmp = t262_tmp * t8;
  hb_ct_tmp = w_ct_tmp * t11;
  ib_ct_tmp = x_ct_tmp * t11;
  B[0] =
      ((((((((((((((((((((((((((((((((((((((((((((((((((t3 * 0.14593100306309531 - t4 * 0.00502775663874673) + t5 * 0.001227458748239743) +
                                                      t6 * 0.001057608061216121) +
                                                     (((t8 * 0.0046631898062895506 - t9 * 0.014224242259463629) + t10 * 0.00257572921783577) +
                                                      t11 * 0.001239301225677545)) +
                                                    ((((t22 * 0.000323031894834975 + t23 * 0.0011395919218959709) + t26 * 0.00054067822014093744) +
                                                      t29 * 0.003837110775246145) -
                                                     t30 * 0.00092536219575898606)) +
                                                   (((t255_tmp * -0.0053892695811058808 - t236_tmp * 0.0044914180015708551) -
                                                     d * 0.01524701405243766) -
                                                    d1 * 0.01524701405243766)) +
                                                  (((t189_tmp * 0.002140376511573634 - ct_idx_178_tmp * 0.0052249677423607142) -
                                                    ct_idx_157_tmp * 0.0035111749505367272) +
                                                   t199_tmp * 0.0053892695811058808)) +
                                                 (((ct_idx_208_tmp * -0.006122597930832193 + ct_idx_198_tmp * 0.0029964038242579461) +
                                                   t3 * t19 * 0.14593100306309531) +
                                                  t8 * t19 * 0.0046631898062895506)) +
                                                (((t3 * t26 * 0.0046631898062895506 - t8 * t26 * 0.14593100306309531) -
                                                  t6 * t29 * 0.00255647064439169) +
                                                 c_ct_tmp * 0.06496063615782284)) +
                                               (((t11 * t29 * -0.000590052489406193 - t22 * t23 * 0.0011395919218959709) +
                                                 d_ct_tmp * 0.012103199218358019) +
                                                e_ct_tmp * 0.012103199218358019)) +
                                              (((t22 * t30 * 0.00092536219575898606 - f_ct_tmp * 0.06496063615782284) -
                                                t7 * t7 * 0.3106640765298459) -
                                               t334_tmp * 0.0048143663568272618)) +
                                             (((t262_tmp * 0.006122597930832193 + b_t255_tmp * 0.0022942769220454262) -
                                               g_ct_tmp * 0.005600660839300926) -
                                              h_ct_tmp * 0.005600660839300926)) +
                                            (((ct_idx_210_tmp * -0.0052249677423607142 + t376_tmp * 0.0048143663568272618) -
                                              i_ct_tmp * 0.0065628337162716667) -
                                             j_ct_tmp * 0.0065628337162716667)) +
                                           (((t255_tmp * t19 * -0.0053892695811058808 - k_ct_tmp * 0.0022942769220454262) -
                                             d * t19 * 0.01524701405243766) -
                                            d1 * t19 * 0.01524701405243766)) +
                                          (((t255_tmp * t26 * -0.01524701405243766 + t199_tmp * t19 * 0.0053892695811058808) +
                                            d * t26 * 0.0053892695811058808) +
                                           d1 * t26 * 0.0053892695811058808)) +
                                         (((ct_tmp * t20 * -0.00502775663874673 + t199_tmp * t26 * 0.01524701405243766) -
                                           b_ct_tmp * t20 * 0.014224242259463629) -
                                          ct_tmp * t27 * 0.014224242259463629)) +
                                        (((t4 * t20 * t26 * -0.014224242259463629 + b_ct_tmp * t27 * 0.00502775663874673) +
                                          t9 * t20 * t26 * 0.00502775663874673) +
                                         t4 * t26 * t27 * 0.00502775663874673)) +
                                       (((o_ct_tmp * -0.0034595062302909142 + t9 * t26 * t27 * 0.014224242259463629) -
                                         c_ct_tmp * t28 * 0.0004022198519493129) -
                                        t19 * t21 * t27 * 0.0004022198519493129)) +
                                      (((t20 * t21 * t26 * -0.0004022198519493129 + q_ct_tmp * 0.0034595062302909142) +
                                        r_ct_tmp * 0.0034595062302909142) +
                                       s_ct_tmp * 0.0034595062302909142)) +
                                     (((f_ct_tmp * t28 * 0.0004022198519493129 + t335_tmp * 0.0065628337162716667) -
                                       t_ct_tmp * 0.005600660839300926) -
                                      u_ct_tmp * 0.0065628337162716667)) +
                                    (((t334_tmp * t19 * -0.0048143663568272618 + b_t376_tmp * 0.005600660839300926) +
                                      b_t255_tmp * t19 * 0.0022942769220454262) -
                                     g_ct_tmp * t19 * 0.005600660839300926)) +
                                   (((h_ct_tmp * t19 * -0.005600660839300926 - cb_ct_tmp * t26 * 0.005600660839300926) +
                                     t376_tmp * t19 * 0.0048143663568272618) -
                                    i_ct_tmp * t19 * 0.0065628337162716667)) +
                                  (((j_ct_tmp * t19 * -0.0065628337162716667 + w_ct_tmp * t26 * 0.0048143663568272618) +
                                    x_ct_tmp * t26 * 0.0048143663568272618) -
                                   db_ct_tmp * t26 * 0.0065628337162716667)) +
                                 (((k_ct_tmp * t19 * -0.0022942769220454262 - ab_ct_tmp * t26 * 0.0022942769220454262) -
                                   t236_tmp * t19 * t20 * 0.0044914180015708551) -
                                  bb_ct_tmp * t26 * 0.0022942769220454262)) +
                                (((eb_ct_tmp * t26 * 0.005600660839300926 + t189_tmp * t19 * t20 * 0.002140376511573634) -
                                  ct_idx_178_tmp * t19 * t20 * 0.0052249677423607142) +
                                 fb_ct_tmp * t26 * 0.0065628337162716667)) +
                               (((ct_idx_223_tmp * t19 * t27 * -0.0052249677423607142 - ct_idx_223_tmp * t20 * t26 * 0.0052249677423607142) -
                                 ct_idx_208_tmp * t19 * t20 * 0.006122597930832193) +
                                ct_idx_185_tmp * t19 * t27 * 0.0044914180015708551)) +
                              (((ct_idx_185_tmp * t20 * t26 * 0.0044914180015708551 - ct_idx_179_tmp * t19 * t27 * 0.006122597930832193) -
                                ct_idx_179_tmp * t20 * t26 * 0.006122597930832193) +
                               t236_tmp * t26 * t27 * 0.0044914180015708551)) +
                             (((ct_idx_192_tmp * t19 * t27 * -0.002140376511573634 - ct_idx_192_tmp * t20 * t26 * 0.002140376511573634) -
                               t62 * 0.001057608061216121) -
                              t189_tmp * t26 * t27 * 0.002140376511573634)) +
                            (((ct_idx_178_tmp * t26 * t27 * 0.0052249677423607142 - t48 * 0.001239301225677545) + t46 * 0.0014233180853140659) +
                             t47 * 0.0014233180853140659)) +
                           (((t79 * 0.0014233180853140659 + ct_idx_208_tmp * t26 * t27 * 0.006122597930832193) -
                             m_ct_tmp * t20 * t28 * 0.0026853993625334878) -
                            m_ct_tmp * t21 * t27 * 0.0026853993625334878)) +
                          (((t10 * t20 * t21 * t26 * -0.0026853993625334878 + n_ct_tmp * 0.001057608061216121) + t67 * 0.001057608061216121) +
                           t74 * 0.001057608061216121)) +
                         (((t68 * -0.000323031894834975 + o_ct_tmp * t23 * 0.0034187757656879139) + p_ct_tmp * 0.001239301225677545) +
                          t75 * 0.001239301225677545)) +
                        (((t17 * 0.001239301225677545 - t18 * 0.0014233180853140659) - o_ct_tmp * t29 * 0.003837110775246145) -
                         o_ct_tmp * t30 * 0.0027760865872769581)) +
                       (((t10 * t26 * t27 * t28 * 0.0026853993625334878 + t349_tmp * 0.000323031894834975) + b_t302_tmp * 0.000323031894834975) +
                        y_ct_tmp * 0.000323031894834975)) +
                      (((t19 * t23 * t27 * t28 * -0.0034187757656879139 - t20 * t23 * t26 * t28 * 0.0034187757656879139) -
                        t21 * t23 * t26 * t27 * 0.0034187757656879139) +
                       q_ct_tmp * t29 * 0.003837110775246145)) +
                     (((r_ct_tmp * t29 * 0.003837110775246145 + s_ct_tmp * t29 * 0.003837110775246145) + q_ct_tmp * t30 * 0.0027760865872769581) +
                      r_ct_tmp * t30 * 0.0027760865872769581)) +
                    (((s_ct_tmp * t30 * 0.0027760865872769581 + t335_tmp * t19 * 0.0065628337162716667) - t_ct_tmp * t19 * 0.005600660839300926) -
                     u_ct_tmp * t19 * 0.0065628337162716667)) +
                   (((v_ct_tmp * t26 * -0.0065628337162716667 - gb_ct_tmp * t26 * 0.0065628337162716667) + b_t376_tmp * t19 * 0.005600660839300926) +
                    hb_ct_tmp * t26 * 0.005600660839300926)) +
                  (((t262_tmp * t19 * t20 * 0.006122597930832193 + ib_ct_tmp * t26 * 0.005600660839300926) -
                    ct_idx_210_tmp * t19 * t20 * 0.0052249677423607142) -
                   ct_idx_213_tmp * t19 * t27 * 0.006122597930832193)) +
                 (((ct_idx_213_tmp * t20 * t26 * -0.006122597930832193 - t262_tmp * t26 * t27 * 0.006122597930832193) +
                   ct_idx_245_tmp * t19 * t27 * 0.0052249677423607142) +
                  ct_idx_245_tmp * t20 * t26 * 0.0052249677423607142)) +
                (((ct_idx_210_tmp * t26 * t27 * 0.0052249677423607142 - t14 * t20 * t28 * 0.001239301225677545) -
                  t14 * t21 * t27 * 0.001239301225677545) -
                 t302_tmp * t20 * t21 * t26 * 0.001239301225677545)) +
               (((t15 * t20 * t28 * 0.001057608061216121 + t15 * t21 * t27 * 0.001057608061216121) +
                 ct_idx_175_tmp * t20 * t21 * t26 * 0.001057608061216121) +
                t16 * t20 * t28 * 0.0011801049788123859)) +
              (((t16 * t21 * t27 * 0.0011801049788123859 + ct_idx_157_tmp * t20 * t21 * t26 * 0.0011801049788123859) -
                t12 * t20 * t28 * 0.00511294128878338) -
               t12 * t21 * t27 * 0.00511294128878338)) +
             (((ct_idx_198_tmp * t20 * t21 * t26 * -0.00511294128878338 + t302_tmp * t26 * t27 * t28 * 0.001239301225677545) -
               t13 * t23 * t28 * 0.0037014487830359438) -
              l_ct_tmp * t23 * t27 * 0.0037014487830359438)) +
            (((t34 * t23 * t26 * -0.0037014487830359438 + t62 * t29 * 0.00255647064439169) -
              ct_idx_175_tmp * t26 * t27 * t28 * 0.001057608061216121) -
             ct_idx_157_tmp * t26 * t27 * t28 * 0.0011801049788123859)) +
           (((t48 * t29 * 0.000590052489406193 - t46 * t30 * 0.0045583676875838846) - t47 * t30 * 0.0045583676875838846) -
            t79 * t30 * 0.0045583676875838846)) +
          (((ct_idx_198_tmp * t26 * t27 * t28 * 0.00511294128878338 + t68 * t23 * 0.0011395919218959709) +
            t5 * t23 * t26 * t27 * t28 * 0.0037014487830359438) -
           n_ct_tmp * t29 * 0.00255647064439169)) +
         (((t67 * t29 * -0.00255647064439169 - t74 * t29 * 0.00255647064439169) - t68 * t30 * 0.00092536219575898606) -
          p_ct_tmp * t29 * 0.000590052489406193)) +
        (((t75 * t29 * -0.000590052489406193 - t17 * t29 * 0.000590052489406193) + t18 * t30 * 0.0045583676875838846) -
         t101 * t23 * t27 * t28 * 0.0011395919218959709)) +
       (((t120 * t23 * t26 * t28 * -0.0011395919218959709 - t179_tmp * t23 * t26 * t27 * 0.0011395919218959709) +
         t349_tmp * t30 * 0.00092536219575898606) +
        b_t302_tmp * t30 * 0.00092536219575898606)) +
      (y_ct_tmp * t30 * 0.00092536219575898606 + 0.54921547098571388);
  B[1] =
      ((((((((((((((((((((t2 * -0.0031390519579274231 + t7 * 0.07765960279496871) + t31 * 0.0010583144203446669) + t32 * 0.00021212621841842569) +
                       (((t36 * 0.032282777851900889 + t37 * 0.00088645303934360286) - t43 * 0.0013048880649585311) + t44 * 0.00019789676260481819)) +
                      (((t45 * 0.00027064527670427041 - t49 * 0.0031625555892867141) + t50 * 0.00082698964793341513) - t51 * 7.4681073687117686E-5)) +
                     (((t52 * 0.001758410145499062 + t53 * 3.9955044809265842E-5) + t54 * 0.00025249035443799741) + t56 * 0.0015579048559565831)) +
                    (((t57 * 0.00014479765252759891 - t58 * 6.9671457025553244E-5) - t60 * 0.00021212621841842569) - t61 * 0.00070201762361204675)) +
                   (((t66 * 0.00088645303934360286 - t69 * 0.0010172134720396421) - t70 * 0.00019789676260481819) + t71 * 0.00027064527670427041)) +
                  (((t72 * -0.00027064527670427041 - t73 * 0.00027064527670427041) + t80 * 0.00082698964793341513) + t81 * 7.4681073687117686E-5)) +
                 (((t82 * 7.4681073687117686E-5 + t83 * 7.4681073687117686E-5) - t84 * 0.00090023869093987859) + t88 * 0.0022672416655272511)) +
                (((t90 * -0.00042075591202210739 - t91 * 0.00102308849693228) - t92 * 0.00018362435822123321) - t93 * 0.00072330879765667854)) +
               (((t94 * 0.0022326704789360349 + t95 * 0.00090023869093987859) + t96 * 3.9955044809265842E-5) + t98 * 0.00025249035443799741)) +
              (((t99 * -0.00025249035443799741 - t104 * 0.00144441542491764) + t105 * 0.0022672416655272511) - t106 * 0.00014479765252759891)) +
             (((t108 * 6.9671457025553244E-5 + t109 * 6.9671457025553244E-5) - t111 * 0.0010289635218249181) - t112 * 0.00098900847701565179)) +
            (((t113 * 0.00042075591202210739 - t114 * 0.00102308849693228) + t115 * 0.00074459997170131021) - t116 * 0.00059980231917371131)) +
           (((t117 * -0.00018362435822123321 - t118 * 0.00072330879765667854) - t123 * 0.0002103779560110537) - t124 * 9.1812179110616578E-5)) +
          (((t126 * -0.00025249035443799741 - t131 * 6.9671457025553244E-5) + t132 * 0.00042075591202210739) + t133 * 0.00102308849693228)) +
         (((t134 * 0.0002103779560110537 - t135 * 0.0002103779560110537) + t136 * 0.00018362435822123321) - t137 * 0.00072330879765667854)) +
        (((t138 * 9.1812179110616578E-5 + t139 * 9.1812179110616578E-5) - t140 * 0.0010571685168489079) - t141 * 0.00042075591202210739)) +
       (((t142 * 0.00102308849693228 + t143 * 0.0002103779560110537) + t144 * 0.00084681527613964577) + t145 * 0.00018362435822123321)) +
      (t146 * -0.00072330879765667854 - t147 * 9.1812179110616578E-5);
  B[2] = ((((((((((((((((t31 * 0.00010713953876704451 + t36 * 0.0439545112487816) + t43 * 0.0024963550787464421) + t44 * 0.00034830574897714509) +
                      (((t49 * 0.0014374015533716439 + t50 * 0.0010993626142855139) - t52 * 0.00018117521669759921) + t53 * 3.5693858833357071E-5)) +
                     (((t54 * 4.8899235923503831E-5 - t56 * 8.0291674926846637E-5) + t57 * 2.8042633897348769E-5) - t58 * 6.22410302292462E-5)) +
                    (((t61 * -0.00034853744186886691 + t69 * 4.141102028962902E-5) - t70 * 0.00034830574897714509) + t80 * 0.0010993626142855139)) +
                   (((t84 * -0.00076203092363544083 + t88 * 0.000988502998349495) + t90 * 8.0647465389949575E-5) + t91 * 3.6162563926700981E-5)) +
                  (((t92 * 0.00010227015040078071 - t93 * 0.00035266085539495661) + t94 * 0.00044928500891960052) + t95 * 0.00076203092363544083)) +
                 (((t96 * 3.5693858833357071E-5 + t98 * 4.8899235923503831E-5) - t99 * 4.8899235923503831E-5) + t104 * 0.000280037344126826)) +
                (((t105 * 0.000988502998349495 - t106 * 2.8042633897348769E-5) + t108 * 6.22410302292462E-5) + t109 * 6.22410302292462E-5)) +
               (((t111 * 3.0914107563772941E-5 + t112 * 6.6607966397130025E-5) - t113 * 8.0647465389949575E-5) + t114 * 3.6162563926700981E-5)) +
              (((t115 * 0.00035678426892104631 - t116 * 0.0003287416350236976) + t117 * 0.00010227015040078071) - t118 * 0.00035266085539495661)) +
             (((t123 * 4.0323732694974788E-5 + t124 * 5.1135075200390332E-5) - t126 * 4.8899235923503831E-5) - t131 * 6.22410302292462E-5)) +
            (((t132 * -8.0647465389949575E-5 - t133 * 3.6162563926700981E-5) - t134 * 4.0323732694974788E-5) + t135 * 4.0323732694974788E-5)) +
           (((t136 * -0.00010227015040078071 - t137 * 0.00035266085539495661) - t138 * 5.1135075200390332E-5) - t139 * 5.1135075200390332E-5)) +
          (((t140 * 5.717161456271945E-6 + t141 * 8.0647465389949575E-5) - t142 * 3.6162563926700981E-5) - t143 * 4.0323732694974788E-5)) +
         (((t144 * 0.00037658007576621562 - t145 * 0.00010227015040078071) - t146 * 0.00035266085539495661) + t147 * 5.1135075200390332E-5);
  B[3] = (((((((((((((t43 * 0.0019869612853267511 + t49 * 0.0017316302561963719) - t52 * 0.00059046796945872479) - t53 * 6.6069991337972642E-5) +
                   (((t56 * -0.00120112897500743 + t57 * 4.6539253002640352E-5) + t61 * 0.000114775973989309) + t69 * 0.00012836895398341089)) +
                  (((t84 * -0.000509191751079686 - t88 * 0.000563667739285462) + t90 * 0.0006809233842330622) + t91 * 0.00013808394355781689)) +
                 (((t92 * 0.0001767792799481936 + t93 * 0.0001079328013391343) + t94 * 0.00055931315321882313) + t95 * 0.000509191751079686)) +
                (((t96 * -6.6069991337972642E-5 + t104 * 0.001813209628782774) - t105 * 0.000563667739285462) - t106 * 4.6539253002640352E-5)) +
               (((t111 * 0.00014779893313222279 + t112 * 8.17289417942502E-5) - t113 * 0.0006809233842330622) + t114 * 0.00013808394355781689)) +
              (((t115 * -0.0001010896286889596 + t116 * 0.0001476288816916) + t117 * 0.0001767792799481936) + t118 * 0.0001079328013391343)) +
             (((t123 * 0.0003404616921165311 + t124 * 8.8389639974096785E-5) - t132 * 0.0006809233842330622) - t133 * 0.00013808394355781689)) +
            (((t134 * -0.0003404616921165311 + t135 * 0.0003404616921165311) - t136 * 0.0001767792799481936) + t137 * 0.0001079328013391343)) +
           (((t138 * -8.8389639974096785E-5 - t139 * 8.8389639974096785E-5) + t140 * 0.00019443894532138349) + t141 * 0.0006809233842330622)) +
          (((t142 * -0.00013808394355781689 - t143 * 0.0003404616921165311) - t144 * 6.8236720986668685E-5) - t145 * 0.0001767792799481936)) +
         (t146 * 0.0001079328013391343 + t147 * 8.8389639974096785E-5);
  B[4] = ((((((((((((((t32 * 6.28377910980882E-5 - t37 * 0.001833224514170836) + t43 * 0.006819670557464) + t44 * 5.8622623456287277E-5) +
                    (((t45 * 9.732736349811263E-5 - t50 * 0.001710251562428676) + t51 * 2.4785344050547391E-5) - t52 * 0.00061193392438332471)) +
                   (((t54 * 9.0798630611263546E-5 - t56 * 0.0002929320905098175) + t58 * 2.3122739773613329E-5) + t60 * 6.28377910980882E-5)) +
                  (((t61 * -4.6008021102543267E-5 + t66 * 0.001833224514170836) - t69 * 0.0002921906372169307) + t70 * 5.8622623456287277E-5)) +
                 (((t71 * 9.732736349811263E-5 + t72 * 9.732736349811263E-5) + t73 * 9.732736349811263E-5) + t80 * 0.001710251562428676)) +
                (((t81 * -2.4785344050547391E-5 + t82 * 2.4785344050547391E-5) + t83 * 2.4785344050547391E-5) - t85 * 0.00062656636987134043)) +
               (((t89 * 1.259980224138512E-5 - t90 * 0.00031328318493567021) + t92 * 6.2999011206925581E-6) - t94 * 0.00036885764693249038)) +
              (((t97 * -0.00062656636987134043 + t98 * 9.0798630611263546E-5) + t99 * 9.0798630611263546E-5) - t104 * 0.00025931330819881169)) +
             (((t107 * -1.259980224138512E-5 - t108 * 2.3122739773613329E-5) + t109 * 2.3122739773613329E-5) - t111 * 0.00031481176402134729)) +
            (((t112 * 0.00030155138246468107 + t113 * 0.00031328318493567021) - t115 * 4.28208701462646E-5) + t116 * 9.2501429999428768E-6)) +
           (((t117 * 6.2999011206925581E-6 + t126 * 9.0798630611263546E-5) - t131 * 2.3122739773613329E-5) - t132 * 0.00031328318493567021)) +
          (((t136 * 6.2999011206925581E-6 + t140 * 0.000305451018773597) + t141 * 0.00031328318493567021) + t144 * 6.0629920436642028E-6)) +
         t145 * 6.2999011206925581E-6;
  B[5] = (((((((((t45 * 2.1684596408581631E-5 + t51 * 6.5414306611051511E-5) - t52 * 0.0012806460506647711) + t53 * 0.00032855694317489678) +
               (((t54 * 2.022999070857722E-5 - t57 * 0.00065764627808924576) + t58 * 6.1026305955405652E-5) - t61 * 0.000332917977961667)) +
              (((t69 * 0.00017663106710711331 - t71 * 2.1684596408581631E-5) - t72 * 2.1684596408581631E-5) + t73 * 2.1684596408581631E-5)) +
             (((t81 * 6.5414306611051511E-5 - t82 * 6.5414306611051511E-5) + t83 * 6.5414306611051511E-5) + t94 * 0.0012806460506647711)) +
            (((t96 * 0.00025856246069700327 - t98 * 2.022999070857722E-5) - t99 * 2.022999070857722E-5) + t106 * 0.00063444337062153547)) +
           (((t108 * 6.1026305955405652E-5 - t109 * 6.1026305955405652E-5) - t111 * 0.0001169286348288368) + t112 * 0.0001519258760677835)) +
          (((t115 * -0.00031312684639372371 - t116 * 0.00032472830012757881) + t126 * 2.022999070857722E-5) - t131 * 6.1026305955405652E-5)) +
         (t140 * -0.0001416338258681665 - t144 * 0.00032131652422781181);
    B[6] = ((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((((t2 * 0.01217225609476435 + t7 * 0.0811311362192065) + ct_idx_141) + ct_idx_148) + ct_idx_167) + ct_idx_176) + ct_idx_188) + ct_idx_190) + ct_idx_191) + ct_idx_193) + ct_idx_197) + t245) + t246) - t225) + t252) + ct_idx_216) - t243) + t270) + t273) - t275) - t250) - t280) - t254) + ct_idx_227) + ct_idx_230) + t289) + ct_idx_234) + ct_idx_235) + ct_idx_236) + ct_idx_238) - t272) + t308) + ct_idx_249) + ct_idx_251) + t314) + t316) + ct_idx_259) + t326) + t327) + ct_idx_262) + ct_idx_263) + t331) + t333) + ct_idx_268) + ct_idx_269) + ct_idx_270) + t341) + t344) + t345) + ct_idx_276) + ct_idx_278) + ct_idx_279) - t332) + ct_idx_282) + t361) + t362) + t363) - t342) - t73 * 0.0016407084290679171) + ct_idx_291) + ct_idx_292) + ct_idx_294) + ct_idx_296) + ct_idx_298) + ct_idx_299) + ct_idx_300) + ct_idx_302) + ct_idx_303) + ct_idx_304) + ct_idx_305) + ct_idx_306) + ct_idx_307) + ct_idx_308) + ct_idx_309;
    ct_tmp = ct_idx_208_tmp * 0.0020199228355039789;
    b_ct_tmp = ct_idx_178_tmp * 0.000557371656204426;
    c_ct_tmp = ct_idx_210_tmp * 0.000557371656204426;
    B[7] = ((((((((((((((((((((((((t3 * 0.32612832419783933 - t8 * 0.0021068091856080262) + t151) + t155) + t163) - t4 * 0.00068112950264962726) -
                              t9 * 0.023045827097752311) +
                             t186) +
                            t189) -
                           b_t179_tmp) +
                          t197) +
                         t235) +
                        t236) -
                       t215) -
                      ct_tmp) +
                     t262) -
                    b_ct_tmp) -
                   c_t302_tmp) +
                  t349) -
                 c_ct_tmp) -
                t255_tmp * 0.00073010504946365755) -
               d * 0.024702901089560612) +
              (((d1 * -0.024702901089560612 + t199_tmp * 0.00073010504946365755) + t334_tmp * 0.00084850487367370275) +
               b_t255_tmp * 0.0035458121573744119)) +
             (((g_ct_tmp * -0.00059744858949694148 - h_ct_tmp * 0.00059744858949694148) - t376_tmp * 0.00084850487367370275) -
              i_ct_tmp * 0.0021651622136341642)) +
            (((j_ct_tmp * -0.0021651622136341642 - k_ct_tmp * 0.0035458121573744119) + t335_tmp * 0.0021651622136341642) -
             t_ct_tmp * 0.00059744858949694148)) +
           ((u_ct_tmp * -0.0021651622136341642 + b_t376_tmp * 0.00059744858949694148) + 0.62032288307603067);
    B[8] = ((((((((((((((((((((((((t3 * 0.2055072031658641 + t8 * 0.0010884501482224731) + ct_idx_143) - t149) + ct_idx_147) + ct_idx_154) +
                              ct_idx_159) +
                             ct_idx_160) +
                            ct_idx_164) +
                           ct_idx_171) +
                          ct_idx_177) +
                         ct_idx_180) +
                        ct_idx_182) +
                       ct_idx_201) +
                      ct_idx_208) +
                     ct_idx_217) +
                    ct_idx_243) +
                   ct_idx_244) +
                  ct_idx_254) +
                 ct_idx_295) -
                t255_tmp * 0.00025094930782805069) -
               d * 0.01551389773468257) +
              (((d1 * -0.01551389773468257 + t199_tmp * 0.00025094930782805069) + t334_tmp * 0.00074670025331804351) +
               b_t255_tmp * 0.0023568211118710079)) +
             (((g_ct_tmp * -0.00026686549490174347 - h_ct_tmp * 0.00026686549490174347) - t376_tmp * 0.00074670025331804351) -
              i_ct_tmp * 0.000209661034641923)) +
            (((j_ct_tmp * -0.000209661034641923 - k_ct_tmp * 0.0023568211118710079) + t335_tmp * 0.000209661034641923) -
             t_ct_tmp * 0.00026686549490174347)) +
           ((u_ct_tmp * -0.000209661034641923 + b_t376_tmp * 0.00026686549490174347) + 0.1996277994850594);
    t16 = (-(t29 * 0.0011273354785709239) - t30 * 0.00070711711979277428) - t166;
    d_ct_tmp =
        ((((((((((((((t16 + t189_tmp * 0.0040098528964154136) + ct_idx_161) + ct_idx_166) + ct_idx_174) + ct_idx_178_tmp * 0.00046083718180335771) +
                 ct_idx_181) -
                t9 * 0.01459920045885933) +
               ct_idx_186) -
              t4 * 0.0001688770008487464) +
             t236_tmp * 0.0021346266119462282) +
            ct_idx_210_tmp * 0.00046083718180335771) -
           ct_idx_208_tmp * 0.00032461057982073491) +
          t262_tmp * 0.00032461057982073491) +
         ct_idx_229) +
        ct_idx_250;
    B[9] = ((((((d_ct_tmp - t255_tmp * 0.0001810198362841618) - d * 0.01564893303209082) - d1 * 0.01564893303209082) +
              (((t199_tmp * 0.0001810198362841618 + t334_tmp * 0.0022881135849185689) + b_t255_tmp * 0.0042981750693382162) +
               g_ct_tmp * 0.00049397295537249343)) +
             (((h_ct_tmp * 0.00049397295537249343 - t376_tmp * 0.0022881135849185689) - i_ct_tmp * 0.00034795119359021042) -
              j_ct_tmp * 0.00034795119359021042)) +
            (((k_ct_tmp * -0.0042981750693382162 + t335_tmp * 0.00034795119359021042) + t_ct_tmp * 0.00049397295537249343) -
             u_ct_tmp * 0.00034795119359021042)) +
           (b_t376_tmp * -0.00049397295537249343 - 0.018946826202487249);
    t14 = ((ct_idx_156_tmp * 5.0399208965540472E-5 + b_ct_idx_157_tmp * 0.0025062654794853621) - t5 * 0.00024307627745083431) -
          ct_idx_175_tmp * 6.3743019125573471E-6;
    e_ct_tmp =
        (((((((t14 + ct_idx_185_tmp * 0.003420503124857352) + b_ct_idx_192_tmp * 9.2490959094453315E-5) + ct_idx_192_tmp * 0.00011724524691257459) +
            ct_idx_198) +
           ct_idx_222) +
          ct_idx_232) +
         ct_idx_239) +
        ct_idx_246_tmp * 0.00036319452244505418;
    f_ct_tmp = g_ct_tmp * t10;
    l_ct_tmp = h_ct_tmp * t10;
    m_ct_tmp = ab_ct_tmp * t11;
    n_ct_tmp = bb_ct_tmp * t11;
    B[10] = ((((e_ct_tmp + w_ct_tmp * 0.003666449028341671) + x_ct_tmp * 0.003666449028341671) + ab_ct_tmp * 0.00012567558219617639) +
             bb_ct_tmp * 0.00012567558219617639) +
            (((f_ct_tmp * 0.00038930945399245052 + l_ct_tmp * 0.00038930945399245052) + m_ct_tmp * 9.9141376202189536E-5) +
             n_ct_tmp * 9.9141376202189536E-5);
    t15 = -(t5 * 0.0025612921013295421) + t302_tmp * 4.9410382078659438E-5;
    o_ct_tmp = ((((((t15 - ct_idx_179_tmp * 0.00024410522382162261) + ct_idx_204) - ct_idx_213_tmp * 0.00024410522382162261) -
                  ct_idx_223_tmp * 8.0919962834308866E-5) +
                 ct_idx_237) +
                ct_idx_245_tmp * 8.0919962834308866E-5) +
               ct_idx_274;
    B[11] = ((((o_ct_tmp - cb_ct_tmp * 8.6738385634326523E-5) - db_ct_tmp * 0.000261657226444206) + eb_ct_tmp * 8.6738385634326523E-5) +
             (((fb_ct_tmp * 0.000261657226444206 - v_ct_tmp * 0.000261657226444206) - gb_ct_tmp * 0.000261657226444206) +
              hb_ct_tmp * 8.6738385634326523E-5)) +
            ib_ct_tmp * 8.6738385634326523E-5;
    B[12] = ((((((((((((((((((((((((((((((((((((((((((((((((((((((((((ct_idx_141 + ct_idx_148) + ct_idx_167) + ct_idx_176) + ct_idx_188) + ct_idx_190) + ct_idx_191) + ct_idx_193) + ct_idx_197) + t245) + t246) - t225) + ct_idx_216) - t243) + t273) - t250) - t254) + ct_idx_227) + ct_idx_230) + t289) + ct_idx_234) + ct_idx_235) + ct_idx_236) + ct_idx_238) - t272) + t308) + ct_idx_249) + ct_idx_251) + t314) + t316) + ct_idx_259) + t327) + ct_idx_262) + ct_idx_263) + t331) + ct_idx_268) + ct_idx_269) + ct_idx_270) + t344) + t345) + ct_idx_276) + ct_idx_278) + ct_idx_279) - t332) + ct_idx_282) + ct_idx_291) + ct_idx_292) + ct_idx_294) + ct_idx_296) + ct_idx_298) + ct_idx_299) + ct_idx_300) + ct_idx_302) + ct_idx_303) + ct_idx_304) + ct_idx_305) + ct_idx_306) + ct_idx_307) + ct_idx_308) + ct_idx_309;
    p_ct_tmp = t255_tmp * 0.00036505252473182878;
    q_ct_tmp = d * 0.0123514505447803;
    r_ct_tmp = d1 * 0.0123514505447803;
    k_ct_tmp *= 0.0017729060786872059;
    i_ct_tmp *= 0.0010825811068170821;
    j_ct_tmp *= 0.0010825811068170821;
    s_ct_tmp = t376_tmp * 0.00042425243683685138;
    u_ct_tmp *= 0.0010825811068170821;
    g_ct_tmp *= 0.0002987242947484708;
    h_ct_tmp *= 0.0002987242947484708;
    t_ct_tmp *= 0.0002987242947484708;
    B[13] = (((((((((((((((((((((((((((((((((((t3 * 0.16306416209891961 - t8 * 0.0010534045928040131) + t151) + t155) + t163) -
                                           t4 * 0.00068112950264962726) -
                                          t9 * 0.023045827097752311) +
                                         t186) +
                                        t189) -
                                       b_t179_tmp) +
                                      t197) +
                                     t199) -
                                    p_ct_tmp) +
                                   t235) +
                                  t236) -
                                 t24 * 0.001917931115671085) -
                                ct_tmp) +
                               t255) -
                              q_ct_tmp) -
                             r_ct_tmp) +
                            t262) -
                           k_ct_tmp) -
                          b_ct_tmp) -
                         i_ct_tmp) -
                        j_ct_tmp) -
                       c_t302_tmp) +
                      t334) +
                     t335) +
                    t349) -
                   c_ct_tmp) -
                  s_ct_tmp) -
                 u_ct_tmp) -
                g_ct_tmp) -
               h_ct_tmp) +
              t376) -
             t_ct_tmp) +
            0.1668694543234617;
    B[14] = (((((((((((((((((ct_idx_143 - t149) + ct_idx_147) + ct_idx_154) + ct_idx_159) + ct_idx_160) + ct_idx_164) + ct_idx_171) + ct_idx_177) +
                     ct_idx_180) +
                    ct_idx_182) +
                   ct_idx_201) +
                  ct_idx_208) +
                 ct_idx_217) +
                ct_idx_243) +
               ct_idx_244) +
              ct_idx_254) +
             ct_idx_295) +
            0.1996277994850594;
    B[15] = d_ct_tmp - 0.018946826202487249;
    B[16] = e_ct_tmp;
    B[17] = o_ct_tmp;
    B[18] =
        ((((((((((((((((((((((((((((((((((((((((((((ct_idx_167 + ct_idx_176) + ct_idx_188) + ct_idx_190) + ct_idx_191) + ct_idx_193) + ct_idx_197) +
                                              t245) -
                                             t225) +
                                            ct_idx_216) -
                                           t250) +
                                          ct_idx_227) +
                                         ct_idx_230) +
                                        t289) +
                                       ct_idx_234) +
                                      ct_idx_235) +
                                     ct_idx_236) +
                                    ct_idx_238) -
                                   t272) +
                                  ct_idx_249) +
                                 ct_idx_251) +
                                t316) +
                               ct_idx_259) +
                              t327) +
                             ct_idx_262) +
                            ct_idx_263) +
                           ct_idx_268) +
                          ct_idx_269) +
                         ct_idx_270) +
                        ct_idx_276) +
                       ct_idx_278) +
                      ct_idx_279) +
                     ct_idx_282) +
                    ct_idx_291) +
                   ct_idx_292) +
                  ct_idx_294) +
                 ct_idx_296) +
                ct_idx_298) +
               ct_idx_299) +
              ct_idx_300) +
             ct_idx_302) +
            ct_idx_303) +
           ct_idx_304) +
          ct_idx_307) +
         ct_idx_308) +
        ct_idx_309;
    B[19] =
        (((((((((((((((((((((((((((((t4 * -0.00034056475132481358 - t9 * 0.011522913548876161) + t151) + t155) + t163) + t186) - b_t179_tmp) + t197) +
                              t199) -
                             p_ct_tmp) +
                            t235) -
                           t215) +
                          t255) -
                         q_ct_tmp) -
                        r_ct_tmp) -
                       k_ct_tmp) -
                      i_ct_tmp) -
                     j_ct_tmp) -
                    c_t302_tmp) +
                   t334) +
                  t335) +
                 t349) -
                s_ct_tmp) -
               u_ct_tmp) -
              g_ct_tmp) -
             h_ct_tmp) +
            t376) -
           t_ct_tmp) +
          t236_tmp * 0.00039579352520963638) +
         (((t189_tmp * 0.00165397929586683 - ct_idx_178_tmp * 0.000278685828102213) - ct_idx_208_tmp * 0.001009961417751989) +
          t262_tmp * 0.001009961417751989)) +
        (ct_idx_210_tmp * -0.000278685828102213 + 0.0060006729812390669);
    B[20] = ((((((((((((((t4 * -0.0002341155938542742 - t9 * 0.014473223347714311) + ct_idx_143) - t149) + ct_idx_147) + ct_idx_159) + ct_idx_160) +
                    ct_idx_164) +
                   ct_idx_177) +
                  ct_idx_201) +
                 ct_idx_243) +
                ct_idx_295) +
               t236_tmp * 0.0006966114979542903) +
              t189_tmp * 0.002198725228571027) +
             (((ct_idx_178_tmp * -0.00024896412091698482 - ct_idx_208_tmp * 0.0001955969436940153) + t262_tmp * 0.0001955969436940153) -
              ct_idx_210_tmp * 0.00024896412091698482)) +
            0.0059454178138501909;
    B[21] = (((((((t16 + ct_idx_161) + ct_idx_166) + ct_idx_174) + ct_idx_181) + ct_idx_186) + ct_idx_229) + ct_idx_250) - 0.018946826202487249;
    B[22] = (((t14 + ct_idx_198) + ct_idx_222) + ct_idx_232) + ct_idx_239;
    B[23] = ((t15 + ct_idx_204) + ct_idx_237) + ct_idx_274;
    B[24] =
        ((((((t43 * -0.006574306978599744 - t52 * 0.00164956436832668) - t56 * 0.0013555913471159759) - t61 * 0.000529513146959368) +
           (((t69 * 0.00093397873803936987 - t85 * 0.0022791838437919432) + t89 * 0.0018507243915179719) + t94 * 0.001035834994206808)) +
          (((t97 * -0.0022791838437919432 - t104 * 6.7726738198090365E-5) - t107 * 0.0018507243915179719) - t111 * 0.000343926248633177)) +
         (((t112 * -0.00040517470743130961 + t115 * 0.0020269574974323221) + t116 * 0.001149163759798141) - t140 * 0.0001848777819748834)) +
        ((((((((((((((((((((((((((((((((t144 * -0.00140730688459355 + t225) + t243) - t245) - t246) + t250) + t254) - t270) + t272) + t275) + t280) -
                              t252) +
                             t289) -
                            t273) +
                           t308) +
                          t314) +
                         t316) +
                        t326) +
                       t327) -
                      t132 * 0.0011395919218959709) -
                     t331) +
                    t333) -
                   t341) -
                  t344) +
                 t345) -
                t332) -
               t361) +
              t362) +
             t363) -
            t342) -
           t343) -
          t382) -
         t383);
    B[25] =
        ((((((t5 * -0.0039910806244350967 - t10 * 0.0037368177137591559) + t302_tmp * 0.00409235398772912) + ct_idx_185_tmp * 0.00165397929586683) +
           (((ct_idx_175_tmp * 0.0028932351906267141 + ct_idx_157_tmp * 0.00020443060887667111) - ct_idx_192_tmp * 0.00039579352520963638) -
            ct_idx_198_tmp * 5.640999004798118E-5)) +
          (((ct_idx_156_tmp * 0.001468994865769865 + w_ct_tmp * 0.0017729060786872059) + x_ct_tmp * 0.0017729060786872059) -
           ab_ct_tmp * 0.00042425243683685138)) +
         (((bb_ct_tmp * -0.00042425243683685138 - ct_idx_246_tmp * 0.001009961417751989) - b_ct_idx_157_tmp * 0.0033660472961768591) +
          b_ct_idx_192_tmp * 0.000278685828102213)) +
        (((f_ct_tmp * -0.0010825811068170821 - l_ct_tmp * 0.0010825811068170821) + m_ct_tmp * 0.0002987242947484708) +
         n_ct_tmp * 0.0002987242947484708);
    B[26] = ((((t5 * -0.00026810979222200132 + t10 * 0.00076940962065679525) - t302_tmp * 0.0001446502557068039) +
              ct_idx_185_tmp * 0.002198725228571027) +
             (((ct_idx_175_tmp * 0.001410643421579826 + ct_idx_157_tmp * 3.9591613690338653E-5) - ct_idx_192_tmp * 0.0006966114979542903) -
              ct_idx_198_tmp * 5.039389221500199E-5)) +
            (((ct_idx_156_tmp * -0.00081816120320624521 - ct_idx_246_tmp * 0.0001955969436940153) + b_ct_idx_157_tmp * 0.0006451797231195966) +
             b_ct_idx_192_tmp * 0.00024896412091698482);
    B[27] =
        (((t5 * 3.1154816239901759E-5 + t10 * 0.0037214557235829781) - t302_tmp * 0.00055233577423126736) - ct_idx_175_tmp * 0.00043173120535653731) +
        (((ct_idx_157_tmp * 6.5705815404581917E-5 + ct_idx_198_tmp * 9.3280024378321344E-5) - ct_idx_156_tmp * 0.001414234239585549) +
         b_ct_idx_157_tmp * 0.0054473870738644976);
    B[28] = (t25 * 0.0025062654794853621 - t30 * 2.5199604482770229E-5) - 0.0080728032972066811;
    B[29] = t6 * -0.0005871194038719001 + t11 * 0.001292089648710781;
    B[30] = (((((t52 * -0.00154800380240164 + t53 * 0.00015904846665829359) + t57 * 0.0034342643820258721) + t61 * 0.0020269574974323221) +
              (((t69 * 0.000343926248633177 + t94 * 0.00154800380240164) - t96 * 0.00133915344547068) - t106 * 0.001678676906757509)) +
             (((t111 * 0.00093397873803936987 - t112 * 0.0001848777819748834) + t115 * 0.000529513146959368) + t116 * 0.00140730688459355)) +
            (((((((((((((((((t140 * 0.00040517470743130961 + t144 * 0.001149163759798141) + t254) + t280) - t252) - t273) + t331) + t332) + t341) +
                     t342) +
                    t344) -
                   t345) +
                  t361) -
                 t362) +
                t363) -
               t343) -
              t382) -
             t383);
    B[31] = ((((((t5 * -0.002271775539606237 + ct_idx_223_tmp * 0.001009961417751989) + t302_tmp * 5.640999004798118E-5) -
                ct_idx_179_tmp * 0.000278685828102213) +
               (((ct_idx_175_tmp * 0.00020443060887667111 - ct_idx_157_tmp * 0.0028932351906267141) + ct_idx_198_tmp * 0.00409235398772912) +
                cb_ct_tmp * 0.0010825811068170821)) +
              (((db_ct_tmp * -0.0002987242947484708 - ct_idx_213_tmp * 0.000278685828102213) - eb_ct_tmp * 0.0010825811068170821) -
               ct_idx_245_tmp * 0.001009961417751989)) +
             (((fb_ct_tmp * 0.0002987242947484708 - v_ct_tmp * 0.0002987242947484708) - gb_ct_tmp * 0.0002987242947484708) -
              hb_ct_tmp * 0.0010825811068170821)) +
            ib_ct_tmp * -0.0010825811068170821;
    B[32] = ((((t5 * 0.0031245499141437328 + ct_idx_223_tmp * 0.0001955969436940153) + t302_tmp * 5.039389221500199E-5) -
              ct_idx_179_tmp * 0.00024896412091698482) +
             (((ct_idx_175_tmp * 3.9591613690338653E-5 - ct_idx_157_tmp * 0.001410643421579826) - ct_idx_198_tmp * 0.0001446502557068039) -
              ct_idx_213_tmp * 0.00024896412091698482)) +
            ct_idx_245_tmp * -0.0001955969436940153;
    B[33] = (((t5 * -0.007133267858936608 - t302_tmp * 9.3280024378321344E-5) + ct_idx_175_tmp * 6.5705815404581917E-5) +
             ct_idx_157_tmp * 0.00043173120535653731) +
            ct_idx_198_tmp * -0.00055233577423126736;
    B[34] = t6 * -0.001214004802476556 - t11 * 6.3743019125573471E-6;
    B[35] = -0.0025612921013295421;
}

}  // namespace ur10_inverse_dynamics_solver

//
// File trailer for getInertiaCurrents.cpp
//
// [EOF]
//
